Bug 1012011 - [abrt] gnome-shell-3.9.92-3.fc20: xserver_died: Process /usr/bin/gnome-shell-wayland was killed by signal 5 (SIGTRAP)
[abrt] gnome-shell-3.9.92-3.fc20: xserver_died: Process /usr/bin/gnome-shell-...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:3714ef82cd5c0c278d9862c55ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 10:38 EDT by Honza 'thingie' Bartoš
Modified: 2015-06-29 08:27 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.72 KB, text/plain)
2013-09-25 10:38 EDT, Honza 'thingie' Bartoš
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-25 10:38 EDT, Honza 'thingie' Bartoš
no flags Details
File: core_backtrace (6.90 KB, text/plain)
2013-09-25 10:38 EDT, Honza 'thingie' Bartoš
no flags Details
File: dso_list (13.67 KB, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: environ (2.01 KB, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: maps (64.82 KB, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: open_fds (1.67 KB, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details
File: var_log_messages (724 bytes, text/plain)
2013-09-25 10:39 EDT, Honza 'thingie' Bartoš
no flags Details

  None (edit)
Description Honza 'thingie' Bartoš 2013-09-25 10:38:47 EDT
Description of problem:
Just tried to start gnome wayland session from gdm.

Version-Release number of selected component:
gnome-shell-3.9.92-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-shell-wayland --wayland
crash_function: xserver_died
executable:     /usr/bin/gnome-shell-wayland
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 xserver_died at wayland/meta-xwayland.c:292
 #3 g_child_watch_dispatch at gmain.c:5047
 #8 meta_xwayland_start at wayland/meta-xwayland.c:424
 #9 meta_wayland_init at wayland/meta-wayland.c:965
 #10 meta_init at core/main.c:428
Comment 1 Honza 'thingie' Bartoš 2013-09-25 10:38:51 EDT
Created attachment 802885 [details]
File: backtrace
Comment 2 Honza 'thingie' Bartoš 2013-09-25 10:38:55 EDT
Created attachment 802886 [details]
File: cgroup
Comment 3 Honza 'thingie' Bartoš 2013-09-25 10:38:59 EDT
Created attachment 802887 [details]
File: core_backtrace
Comment 4 Honza 'thingie' Bartoš 2013-09-25 10:39:04 EDT
Created attachment 802889 [details]
File: dso_list
Comment 5 Honza 'thingie' Bartoš 2013-09-25 10:39:08 EDT
Created attachment 802890 [details]
File: environ
Comment 6 Honza 'thingie' Bartoš 2013-09-25 10:39:11 EDT
Created attachment 802891 [details]
File: limits
Comment 7 Honza 'thingie' Bartoš 2013-09-25 10:39:15 EDT
Created attachment 802892 [details]
File: maps
Comment 8 Honza 'thingie' Bartoš 2013-09-25 10:39:18 EDT
Created attachment 802893 [details]
File: open_fds
Comment 9 Honza 'thingie' Bartoš 2013-09-25 10:39:22 EDT
Created attachment 802894 [details]
File: proc_pid_status
Comment 10 Honza 'thingie' Bartoš 2013-09-25 10:39:25 EDT
Created attachment 802895 [details]
File: var_log_messages
Comment 11 Chang Liu 2013-09-29 00:17:41 EDT
I believe the bug is causes by https://bugzilla.redhat.com/show_bug.cgi?id=1012756
Comment 12 Mark Tinberg 2013-11-17 13:02:18 EST
Tried to start a wayland gnome-session  --session gnome-wayland from a VT

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-shell-wayland --wayland
crash_function: xserver_died
executable:     /usr/bin/gnome-shell-wayland
kernel:         3.11.7-300.fc20.i686+PAE
package:        gnome-shell-3.10.1-2.fc20
reason:         Process /usr/bin/gnome-shell-wayland was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 13 Fedora End Of Life 2015-05-29 05:27:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:27:42 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.